Bug 177046 - deskutils/taskjuggler: documentation attempts to write outside LOCALBASE
Summary: deskutils/taskjuggler: documentation attempts to write outside LOCALBASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-17 09:30 UTC by John Marino
Modified: 2013-05-04 15:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-03-17 09:30:00 UTC
deskutils/taskjuggler is writing to the /root directory.
This was detected with a modified (DragonFly) version of poudriere which makes most of the build world read-only which causes rogue ports to fail.

Excerpt from log:
=============
gmake[2]: Entering directory `/wrkdirs/deskutils/taskjuggler/work/taskjuggler-2.4.3/docs'
Making all in en
gmake[3]: Entering directory `/wrkdirs/deskutils/taskjuggler/work/taskjuggler-2.4.3/docs/en'
cp taskjuggler.xml index.docbook
patch index.docbook < kde-doc.patch
Hmm...  Looks like a normal diff to me...
Patching file index.docbook using Plan A...
Hunk #1 succeeded at 2.
done
rm -f Example.xml
echo "<para><screen>" > Example.xml
sed 's/&/\&amp;/g; s/</\&lt;/g; s/>/\&gt;/g; s/é/\&eacute;/g; s/ü/\&uuml;/g; s/©/\&copy;/g' ../../Examples/FirstProject/AccountingSoftware.tjp | expand -t 2 >> Example.xml
echo "</screen></para>" >> Example.xml
xsltproc PropertyReference.xml PropertyReference.xsl -o \
  GenPropertyReference.pre.xml
sed "s/<?xml version=\"1.0\"?>//" GenPropertyReference.pre.xml > \
  GenPropertyReference.xml
rm GenPropertyReference.pre.xml  
trying to create local folder /root/.kde: Read-only file system
trying to create local folder /root/.kde: Read-only file system
trying to create local folder /root/.kde: Read-only file system
make: Working in: /usr/dports/deskutils/taskjuggler
make: Working in: /usr/dports/deskutils/taskjuggler
gmake[3]: *** [index.cache.bz2] Terminated: 15
gmake[3]: Leaving directory `/wrkdirs/deskutils/taskjuggler/work/taskjuggler-2.4.3/docs/en'

Fix: 

I suggest patching makefile to prevent /root (or $HOME) from being written to.
Comment 1 Chris Rees freebsd_committer 2013-04-14 15:15:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-05-04 15:29:27 UTC
Author: crees
Date: Sat May  4 14:29:12 2013
New Revision: 317322
URL: http://svnweb.freebsd.org/changeset/ports/317322

Log:
  deskutils/taskjuggler: Update to 3.4.0
  
  taskjuggler is now a Rubygem, and the install is hugely simplified as reflected
  in the Makefile.
  
  Default Ruby version switch cannot come soon enough-- Ruby 1.9 required!
  
  PR:		ports/177046

Deleted:
  head/deskutils/taskjuggler/files/
Modified:
  head/deskutils/taskjuggler/Makefile
  head/deskutils/taskjuggler/distinfo
  head/deskutils/taskjuggler/pkg-plist

Modified: head/deskutils/taskjuggler/Makefile
==============================================================================
--- head/deskutils/taskjuggler/Makefile	Sat May  4 14:13:34 2013	(r317321)
+++ head/deskutils/taskjuggler/Makefile	Sat May  4 14:29:12 2013	(r317322)
@@ -1,94 +1,27 @@
-# New ports collection makefile for: taskjuggler
-# Date created:	23 February 2004
-# Whom:	 	Dean Povey <povey@wedgetail.com>
-#
+# Created by: Dean Povey <povey@wedgetail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	taskjuggler
-PORTVERSION=	2.4.3
-PORTREVISION=	6
+PORTVERSION=	3.4.0
 CATEGORIES=	deskutils
-MASTER_SITES=	http://www.taskjuggler.org/download/
+MASTER_SITES=	RG
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A project management tool for UNIX based operating systems
 
-BUILD_DEPENDS=	p5-Class-MethodMaker>=0:${PORTSDIR}/devel/p5-Class-MethodMaker \
-		p5-Date-Calc>=0:${PORTSDIR}/devel/p5-Date-Calc \
-		p5-PostScript-Simple>=0:${PORTSDIR}/print/p5-PostScript-Simple \
-		poster:${PORTSDIR}/print/poster \
-		bash:${PORTSDIR}/shells/bash \
-		p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser
-RUN_DEPENDS:=	${BUILD_DEPENDS}
-
-DEPRECATED=	Depends on QT3; unmaintained
-EXPIRATION_DATE=	2013-07-01
-
-OPTIONS_DEFINE=	DOCS KDE3
-OPTIONS_DEFAULT=	KDE3
-
-USE_BZIP2=	yes
-USE_QT_VER=	3
-USE_PERL5_RUN=	yes
-USE_GMAKE=	yes
-USE_AUTOTOOLS=	autoconf:env automake:env libtool
-GNU_CONFIGURE=	yes
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_CFLAGS}
-CONFIGURE_ARGS=	--with-docdir=${EXAMPLESDIR}/
-USE_LDCONFIG=	yes
-
-AUTOTOOLSFILES=	admin/cvs.sh
-
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MDOCS}
-BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt
-.else
-CONFIGURE_ARGS+=--disable-docs
-.endif
+LICENSE=	GPLv2
 
-.if ${PORT_OPTIONS:MKDE3}
-LIB_DEPENDS+=	kimproxy:${PORTSDIR}/x11/kdelibs3 \
-		kcal.2:${PORTSDIR}/deskutils/kdepim3
-PLIST_SUB+=	KDE=""
-.else
-CONFIGURE_ARGS+=--with-kde-support=no
-PLIST_SUB+=	KDE="@comment "
-.endif
+RUN_DEPENDS=	rubygem-mail>=2.4.3:${PORTSDIR}/mail/rubygem-mail \
+		rubygem-term-ansicolor>=1.0.7:${PORTSDIR}/devel/rubygem-term-ansicolor
 
-.if defined(SESSION_MANAGER)
-BROKEN=		please unset SESSION_MANAGER
-.endif
+USE_RUBY=	yes
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
 
-post-patch:
-	@cd ${WRKSRC}/admin && ${REINPLACE_CMD} -e \
-		's|="autoconf"|="${AUTOCONF:T}"|g ; \
-		 s|="autoheader"|="${AUTOHEADER:T}"|g ; \
-		 s|="autom4te"|="${AUTOM4TE:T}"|g ; \
-		 s|="automake"|="${AUTOMAKE:T}"|g ; \
-		 s|="aclocal"|="${ACLOCAL:T}"|g' detect-autoconf.sh
-	@${REINPLACE_CMD} -e 's| /bin/bash| ${LOCALBASE}/bin/bash|g ; \
-		 s|^exit $$errors|exit 0|g' ${WRKSRC}/TestSuite/runtests
-	@${REINPLACE_CMD} -e 's|exit 1|${ECHO_CMD} "*** Error detected - continue anyway ***"|' \
-		${WRKSRC}/TestSuite/Misc/export/runtest
-	@${FIND} ${WRKSRC}/TestSuite -name testdir | ${XARGS} \
-			${REINPLACE_CMD} -e 's|exit $$errors|exit 0|'
-
-pre-configure:
-	@cd ${WRKSRC}/admin && ${RM} -f ltmain.sh && ${CP} -f ${LTMAIN} .
-	@cd ${WRKSRC}/admin && ${RM} -f libtool.m4.in && ${CP} -f ${LIBTOOL_M4}  libtool.m4.in
-	@cd ${WRKSRC} && ${GMAKE} -f admin/Makefile.common
-
-post-build:
-	@${RMDIR} -p ~/.kde/share/config ~/.qt 2>/dev/null || ${TRUE}
-
-post-install:
-	@${RMDIR} -p ${EXAMPLESDIR} 2>/dev/null || ${TRUE}
-
-regression-test:
-	@(cd ${BUILD_WRKSRC}/TestSuite;	\
-	${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} ${ALL_TARGET})
+.include <bsd.port.pre.mk>
+
+.if ${RUBY_VER} == 1.8
+IGNORE=	requires Ruby 1.9.3
+.endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/deskutils/taskjuggler/distinfo
==============================================================================
--- head/deskutils/taskjuggler/distinfo	Sat May  4 14:13:34 2013	(r317321)
+++ head/deskutils/taskjuggler/distinfo	Sat May  4 14:29:12 2013	(r317322)
@@ -1,2 +1,2 @@
-SHA256 (taskjuggler-2.4.3.tar.bz2) = 540ea467a98a45c15f6c168392f02a9f907af4dd6a39e7ce2f303abe85eaf391
-SIZE (taskjuggler-2.4.3.tar.bz2) = 1625933
+SHA256 (rubygem/taskjuggler-3.4.0.gem) = 0486d0844a5b34cb74f9eb92f8e0f3c127c805aa5770ffd7b61ce73157b2179e
+SIZE (rubygem/taskjuggler-3.4.0.gem) = 817152

Modified: head/deskutils/taskjuggler/pkg-plist
==============================================================================
--- head/deskutils/taskjuggler/pkg-plist	Sat May  4 14:13:34 2013	(r317321)
+++ head/deskutils/taskjuggler/pkg-plist	Sat May  4 14:29:12 2013	(r317322)
@@ -1,113 +1,10 @@
-%%KDE%%bin/TaskJugglerUI
-bin/taskjuggler
-lib/libtaskjuggler.a
-lib/libtaskjuggler.la
-lib/libtaskjuggler.so
-lib/libtaskjuggler.so.3
-%%KDE%%share/applications/kde/taskjuggler.desktop
-%%KDE%%share/apps/katepart/syntax/taskjuggler.xml
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/16x16/actions/tj_modified.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/16x16/actions/tj_not_ok.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/16x16/actions/tj_ok.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/22x22/actions/tj_milestone.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/22x22/actions/tj_resource.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/22x22/actions/tj_schedule.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/22x22/actions/tj_task.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/22x22/actions/tj_task_group.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_account.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_account_group.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_account_report.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_calendar_report.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_csv_reports.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_editor.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_error.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_export_reports.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_file_list.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_file_tji.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_file_tjp.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_html_reports.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_ical_reports.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_interactive_reports.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_keyword_help.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_next_problem.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_note.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_previous_problem.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_report.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_report_list.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_resource.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_resource_group.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_resource_report.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_status_report.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_task_report.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_tutorial.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_warning.png
-%%KDE%%share/apps/taskjuggler/icons/crystalsvg/32x32/actions/tj_xml_reports.png
-%%KDE%%share/apps/taskjuggler/katefiletyperc
-%%KDE%%share/apps/taskjuggler/taskjugglerui.rc
-%%KDE%%share/apps/taskjuggler/templates/en_US/Blank_File.tji
-%%KDE%%share/apps/taskjuggler/templates/en_US/Blank_Project.tjp
-%%KDE%%share/apps/taskjuggler/templates/en_US/Large_Project.tjp
-%%KDE%%share/apps/taskjuggler/templates/en_US/Simple_Project.tjp
-%%KDE%%share/apps/taskjuggler/tips
-%%KDE%%share/config/taskjugglerrc
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/ChangeLog.xml
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/Example.xml
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/FirstProject.xml
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/GenPropertyReference.xml
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/PropertyReference.xml
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/SyntaxReference.xml
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/UsageGuide.xml
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/index.cache.bz2
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/index.docbook
-%%PORTDOCS%%share/doc/HTML/en/taskjuggler/taskjuggler.xml
-%%EXAMPLESDIR%%/Examples/BigProject/Common/Resources.tji
-%%EXAMPLESDIR%%/Examples/BigProject/Project1/Project1-Interface.tji
-%%EXAMPLESDIR%%/Examples/BigProject/Project1/Project1.html
-%%EXAMPLESDIR%%/Examples/BigProject/Project1/Project1.tjp
-%%EXAMPLESDIR%%/Examples/BigProject/Project2/AccountingReport.html
-%%EXAMPLESDIR%%/Examples/BigProject/Project2/Project2.html
-%%EXAMPLESDIR%%/Examples/BigProject/Project2/Project2.tjp
-%%EXAMPLESDIR%%/Examples/BigProject/README
-%%EXAMPLESDIR%%/Examples/FirstProject/Accounting.html
-%%EXAMPLESDIR%%/Examples/FirstProject/AccountingSoftware.tjp
-%%EXAMPLESDIR%%/Examples/FirstProject/Calendar.html
-%%EXAMPLESDIR%%/Examples/FirstProject/Status-Report.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/Calendar-anders.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/Calendar-joe.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/Calendar-khaled.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/Calendar-paul.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/Calendar-sally.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/ResourceUsage-Jun.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/ShiftSchedule.tjp
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/ShiftTimes-06-03.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/ShiftTimes-06-10.html
-%%EXAMPLESDIR%%/Examples/ShiftSchedule/TaskCoverage-Jun.html
-%%KDE%%share/icons/crystalsvg/32x32/mimetypes/taskjuggler_tji.png
-%%KDE%%share/icons/crystalsvg/32x32/mimetypes/taskjuggler_tjp.png
-%%KDE%%share/icons/crystalsvg/32x32/mimetypes/taskjuggler_tjx.png
-%%KDE%%share/icons/hicolor/16x16/apps/taskjuggler.png
-%%KDE%%share/icons/hicolor/32x32/apps/taskjuggler.png
-%%KDE%%share/locale/tr/LC_MESSAGES/taskjuggler.mo
-%%KDE%%share/mimelnk/application/x-tji.desktop
-%%KDE%%share/mimelnk/application/x-tjp.desktop
-%%KDE%%share/mimelnk/application/x-tjx.desktop
-@dirrm %%EXAMPLESDIR%%/Examples/ShiftSchedule
-@dirrm %%EXAMPLESDIR%%/Examples/FirstProject
-@dirrm %%EXAMPLESDIR%%/Examples/BigProject/Project2
-@dirrm %%EXAMPLESDIR%%/Examples/BigProject/Project1
-@dirrm %%EXAMPLESDIR%%/Examples/BigProject/Common
-@dirrm %%EXAMPLESDIR%%/Examples/BigProject
-@dirrm %%EXAMPLESDIR%%/Examples
-@dirrm %%EXAMPLESDIR%%
-%%PORTDOCS%%@dirrm share/doc/HTML/en/taskjuggler
-%%KDE%%@dirrm share/apps/taskjuggler/templates/en_US
-%%KDE%%@dirrm share/apps/taskjuggler/templates
-%%KDE%%@dirrm share/apps/taskjuggler/icons/crystalsvg/32x32/actions
-%%KDE%%@dirrm share/apps/taskjuggler/icons/crystalsvg/32x32
-%%KDE%%@dirrm share/apps/taskjuggler/icons/crystalsvg/22x22/actions
-%%KDE%%@dirrm share/apps/taskjuggler/icons/crystalsvg/22x22
-%%KDE%%@dirrm share/apps/taskjuggler/icons/crystalsvg/16x16/actions
-%%KDE%%@dirrm share/apps/taskjuggler/icons/crystalsvg/16x16
-%%KDE%%@dirrm share/apps/taskjuggler/icons/crystalsvg
-%%KDE%%@dirrm share/apps/taskjuggler/icons
-%%KDE%%@dirrm share/apps/taskjuggler
+bin/tj3
+bin/tj3client
+bin/tj3d
+bin/tj3man
+bin/tj3ss_receiver
+bin/tj3ss_sender
+bin/tj3ts_receiver
+bin/tj3ts_sender
+bin/tj3ts_summary
+bin/tj3webd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2013-05-04 15:29:42 UTC
State Changed
From-To: open->closed

With the update this is no longer a problem.  Thanks!